#/*
#*********************************************************************************************************
#*                                                    MELIS
#*                                    the Easy Portable/Player Develop Kits
#*                                               makefile Module
#*
#*                                    (c) Copyright 2006-2010, kevin.z China
#*                                             All Rights Reserved
#*
#* File    : make.cfg
#* By      : kevin.z
#* Version : v1.0
#* Date    : 2010-9-3 9:39
#* Descript:
#* Update  : date                auther      ver     notes
#*********************************************************************************************************
#*/


ROOT    = .
SDKROOT = $(ROOT)/../..


#뽻ͨ
include $(SDKROOT)/config/CROSSTOOL.CFG


#ͷļ·б
INCLUDES        =   -I$(ROOT)                               \
                    -I$(SDKROOT)/config                     \
                    -I$(SDKROOT)/boot1/include              \
                    -I$(SDKROOT)/boot1/include/interinc     \
                    -I$(SDKROOT)/boot1/include/block_device

LINK_SCT        = config.lds

#ļб
ifeq ($(STORAGE_MEDIA_TYPE), STORAGE_NAND)
LIBS			= $(SDKROOT)/boot1/libs/eGon2_libc.lib      \
                  $(ROOT)/../driver/drv_nand/bsp_nfc_boot1_for_boot.lib
STORAGE_TYPE    = -I$(SDKROOT)/config/storage_media_cfg/nand
SRCDIRS         = $(ROOT)/../driver/drv_nand			\
                  $(ROOT)/../driver/drv_nand/nand_for_boot1_boot				\
				          $(ROOT)/../driver/drv_nand/osal-boot
TARGET0      	= $(WORKSPACEPATH)/egon/boot1_nand.bin
TARGET1         = $(LICHEEPATH)/eGon/boot1_nand.bin
TARGET2		= $(SDKROOT)/pack/chips/sun7i/eGon/boot1_nand.bin
LOCALTARGET 	= boot1_nand
else

ifeq ($(STORAGE_MEDIA_TYPE), STORAGE_SDMMC)
LIBS            = $(SDKROOT)/boot1/libs/eGon2_libc.lib
STORAGE_TYPE    = -I$(SDKROOT)/config/storage_media_cfg/sdcard
SRCDIRS         = $(shell find $(ROOT)/../driver/drv_sd -maxdepth 3 -type d)
TARGET0      	= $(WORKSPACEPATH)/egon/boot1_sdcard.bin
TARGET1         = $(LICHEEPATH)/eGon/boot1_sdcard.bin
TARGET2		= $(SDKROOT)/pack/chips/sun7i/eGon/boot1_sdcard.bin
LOCALTARGET 	= boot1_sdmmc
else

ifeq ($(STORAGE_MEDIA_TYPE), STORAGE_SPINOR)
LIBS            = $(ROOT)/storage_libs/spinor_boot1.a
STORAGE_TYPE    = -I$(SDKROOT)/config/storage_media_cfg/spinor
TARGET      	= $(WORKSPACEPATH)/egon/storage_media/spinor/boot1.bin
LOCALTARGET 	= __boot1_spinor.axf
else
error:
	$(error STORAGE_MEDIA_TYPE is invalid now!!!)
endif

endif

endif



#ɵĿļ(/)
TMPTARGET   = $(ROOT)/boot1_origin.bin

#гùµаԴĿ¼
SRCDIRS     :=  $(SRCDIRS)							\
			$(shell find $(ROOT) -maxdepth 3 -type d)

INCLUDES    :=  $(INCLUDES)                         \
				$(STORAGE_TYPE)						\
                $(foreach dir,$(SRCDIRS),-I$(dir))


ifeq ($(CROSSTOOL), GCC)

#===============================================================================
#ʹRVDS
#===============================================================================
#ӽű
LINK_SCT   := $(LINK_SCT)
#չ
CFLAGS     := $(CFLAGS) -O0 -g -Wall -nostdlib -marm
CFLAGS     := $(CFLAGS) $(INCLUDES)
#չ
ASFLAGS    := $(ASFLAGS)
ASFLAGS    := $(ASFLAGS) $(INCLUDES)
#չ
LKFLAGS    := $(LKFLAGS) -T$(LINK_SCT) -nostartfiles -mcpu=cortex-a7 -march=armv7
#չ
LDFLAGS    := $(LDFLAGS)

else

#===============================================================================
#ʹGNU-GCC
#===============================================================================
error:
	$(error GNU Cross-tool is invalid now!!!)

endif

